#!/bin/bash
export folder=$(pwd)
cd ~
if ! [ -d cgminer-gekko ]
then
git clone https://github.com/wareck/cgminer-gekko.git
else
cd cgminer-gekko
git pull
cd ..
fi
cd cgminer-gekko
autoreconf -fi
CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --disable-shared --enable-gekko
#--enable-bflsc  --enable-bitforce --enable-bitfury --enable-cointerra --enable-drillbit --enable-hashfast --enable-hashratio --enable-icarus  --enable-klondike  --enable-modminer
make
strip cgminer.exe
upx cgminer.exe
mkdir /tmp/cgminer-gekko
cp cgminer.exe /tmp/cgminer-gekko
cp $folder/packages/gekko/manual.pdf /tmp/cgminer-gekko/
cp $folder/packages/gekko/start.bat /tmp/cgminer-gekko/
cp $folder/packages/gekko/zadig-2.7.exe /tmp/cgminer-gekko/
cp $folder/packages/gekko/cgminer.conf /tmp/cgminer-gekko/
cd /tmp/
version=`git ls-remote -h https://github.com/wareck/cgminer-gekko.git | awk '{print $1}' |cut -c1-7`
7z a -tzip cgminer-gekko-$version.zip cgminer-gekko
lftp -u wareck,zorn692611 ftpperso.free.fr <<EOF
put cgminer-gekko-$version.zip -o /crypto/cgminer-gekko-$version.zip
EOF
cp cgminer-gekko-$version.zip /home/$USER/Bureau

cd /home/wareck/cgminer-gekko
CFLAGS="-O2 -msse2" ./configure --host=i686-w64-mingw32.static --disable-shared --enable-gekko --enable-bflsc  --enable-bitforce --enable-bitfury --enable-cointerra --enable-drillbit --enable-hashfast --enable-hashratio --enable-icarus  --enable-klondike  --enable-modminer
make
strip cgminer.exe
upx cgminer.exe
rm -r -f /tmp/cgminer-gekko
mkdir /tmp/cgminer-gekko-all-usb
cp cgminer.exe /tmp/cgminer-gekko-all-usb
cp $folder/packages/gekko/manual.pdf /tmp/cgminer-gekko-all-usb/
cp $folder/packages/gekko/start.bat /tmp/cgminer-gekko-all-usb/
cp $folder/packages/gekko/zadig-2.7.exe /tmp/cgminer-gekko-all-usb/
cp $folder/packages/gekko/cgminer.conf /tmp/cgminer-gekko-all-usb/
cd /tmp/

version=`git ls-remote -h https://github.com/wareck/cgminer-gekko.git | awk '{print $1}' |cut -c1-7`
7z a -tzip cgminer-gekko-all-usb-$version.zip cgminer-gekko-all-usb
lftp -u wareck,zorn692611 ftpperso.free.fr <<EOF
put cgminer-gekko-all-usb-$version.zip -o /crypto/cgminer-gekko-all-usb-$version.zip
EOF
cp cgminer-gekko-all-usb-$version.zip /home/$USER/Bureau
cd /tmp
rm -r -f /tmp/cgminer-gekko-all-usb
